# $Revision: 1.17 $, $Date: 2012/06/07 10:27:11 $
Summary:	A collection of plugins for the EOG image viewer
Summary(pl.UTF-8):	Zestaw wtyczek do przeglądarki obrazków EOG
Name:		eog-plugins
Version:	3.4.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/eog-plugins/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	d098ffe1cdde569d664294c41d07fcf3
Patch0:		%{name}-configure.patch
URL:		http://live.gnome.org/EyeOfGnome/Plugins
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	clutter-devel >= 1.9.4
BuildRequires:	clutter-gtk-devel >= 1.1.2
BuildRequires:	eog-devel >= 3.4.0
BuildRequires:	gettext-devel
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libchamplain-devel >= 0.12.0
BuildRequires:	libexif-devel >= 0.6.16
BuildRequires:	libgdata-devel >= 0.8.0
BuildRequires:	libpeas-devel >= 1.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	eog >= 3.4.0
Suggests:	postr
Suggests:	python-pygobject3 >= 3.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		pluginsdir	%{_libdir}/eog/plugins

%description
This package provides collection of plugins for use with the Eye of
GNOME Image Viewer.

%description -l pl.UTF-8
Ten pakiet dostarcza zestaw wtyczek do przeglądarki obrazków Eye of
GNOME (Oko GNOME).

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{pluginsdir}/*.{la,py}

%find_lang eog-plugins

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f eog-plugins.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.exif-display.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.fullscreenbg.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.pythonconsole.gschema.xml

%attr(755,root,root) %{pluginsdir}/libexif-display.so
%{pluginsdir}/exif-display.plugin
%{_datadir}/eog/plugins/exif-display

%attr(755,root,root) %{pluginsdir}/libfit-to-width.so
%{pluginsdir}/fit-to-width.plugin

%dir %{_datadir}/eog/plugins/fullscreenbg
%{pluginsdir}/fullscreenbg.plugin
%{pluginsdir}/fullscreenbg.py[co]
%{_datadir}/eog/plugins/fullscreenbg/preferences_dialog.ui

%attr(755,root,root) %{pluginsdir}/libmap.so
%{pluginsdir}/map.plugin

%attr(755,root,root) %{pluginsdir}/libpostr.so
%{pluginsdir}/postr.plugin

%attr(755,root,root) %{pluginsdir}/libpostasa.so
%{pluginsdir}/postasa.plugin
%{_datadir}/eog/plugins/postasa

%dir %{pluginsdir}/pythonconsole
%dir %{_datadir}/eog/plugins/pythonconsole
%{pluginsdir}/pythonconsole/*.py*
%{pluginsdir}/pythonconsole.plugin
%{_datadir}/eog/plugins/pythonconsole/config.ui

%attr(755,root,root) %{pluginsdir}/libsend-by-mail.so
%{pluginsdir}/send-by-mail.plugin

%{pluginsdir}/slideshowshuffle.py[co]
%{pluginsdir}/slideshowshuffle.plugin

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eog-plugins.spec,v $
Revision 1.17  2012/06/07 10:27:11  kiesiu
- updated to 3.4.1

Revision 1.16  2012/03/28 21:09:21  kiesiu
- updated to 3.4.0

Revision 1.15  2012/03/27 05:08:23  arekm
- release 2

Revision 1.14  2011/11/25 21:04:22  megabajt
- updated to 3.2.2

Revision 1.13  2011/10/20 18:35:32  wiget
- up to 3.2.1

Revision 1.12  2011/09/29 18:12:28  wiget
- up to 3.2.0, merge changes from DEVEL

Revision 1.11.2.4  2011/09/25 14:28:23  wiget
- package %{pluginsdir}/pythonconsole dir
- rel. 2

Revision 1.11.2.3  2011/09/23 10:52:35  wiget
- up to 3.1.3

Revision 1.11.2.2  2011/09/20 12:25:28  wiget
- build with libchamplain-devel >= 0.12.0

Revision 1.11.2.1  2011/09/12 15:00:16  wiget
- up to 3.1.2

Revision 1.11  2011/04/23 12:58:10  megabajt
- updated to 3.0.0
- readded -configure.patch
- removed postasa plugin which is not ready for eog 3

Revision 1.10  2011/04/09 17:26:05  lisu
- added TODO
- rel 1

Revision 1.9  2011/04/09 17:17:29  lisu
- removed obsolete configure.patch

Revision 1.8  2011/04/09 17:12:17  lisu
- updated libchamplain BR
- restore map plugin

Revision 1.7  2011/04/09 17:01:40  lisu
- updated to 2.91.90
- updated BRs;
- drop some of the plugins
- use __rm macro

Revision 1.6  2010/10/06 18:34:22  megabajt
- fixed building with libchamplain 0.8.0
- release 3

Revision 1.5  2010/08/25 13:26:19  hawk
- fixed building with libchamplain 0.6.0

Revision 1.4  2010/06/24 19:57:46  megabajt
- updated to 2.30.1

Revision 1.3  2010/05/22 21:33:36  sparky
- BR: libgdata-devel, rpm-pythonprov

Revision 1.2  2010/04/21 16:46:05  megabajt
- updated to 2.30.0

Revision 1.1  2009/11/13 09:58:08  megabajt
- new

